Bug 797881 - iproute: Multiple insecure temporary file uses [fedora-all]
Summary: iproute: Multiple insecure temporary file uses [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iproute
Version: 16
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2012-1088
TreeView+ depends on / blocked
 
Reported: 2012-02-27 12:01 UTC by Jan Lieskovsky
Modified: 2012-03-24 00:34 UTC (History)
4 users (show)

Fixed In Version: iproute-2.6.39-5.fc16
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-21 19:02:00 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Lieskovsky 2012-02-27 12:01:55 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=797878

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Petr Šabata 2012-02-27 16:48:38 UTC
iproute cannot be rebuild in f17+ at the moment due to broken ipt/xt symlinks

Comment 2 Jan Lieskovsky 2012-02-27 16:59:58 UTC
(In reply to comment #1)
> iproute cannot be rebuild in f17+ at the moment due to broken ipt/xt symlinks

Meaning there would be different upstream / F-17+ specific patch necessary? Or it's just temporary Koji build system issue, which will be fixed later and no additional patch is necessary?

Comment 3 Petr Šabata 2012-02-28 08:05:16 UTC
It's a temporary buildsystem issue and just delays the fix.  No patch changes are needed.

Comment 4 Petr Šabata 2012-03-01 10:24:34 UTC
Fixed in iproute-3.2.0-3.fc17 and iproute-3.2.0-3.fc18.
I'll have to tweak the patches for f15 and f16, though.  Is that a problem?

Comment 5 Jan Lieskovsky 2012-03-01 10:53:15 UTC
(In reply to comment #4)
> Fixed in iproute-3.2.0-3.fc17 and iproute-3.2.0-3.fc18.
> I'll have to tweak the patches for f15 and f16, though.  Is that a problem?

No problem with that, if F-{15,16} patches need to be backported / modified, to be able to compile iproute under condition, the relevant security flaws will still be fixed :).

Comment 6 Fedora Update System 2012-03-01 12:37:36 UTC
iproute-2.6.38.1-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/iproute-2.6.38.1-6.fc15

Comment 7 Fedora Update System 2012-03-01 12:37:38 UTC
iproute-2.6.39-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/iproute-2.6.39-5.fc16

Comment 8 Fedora Update System 2012-03-01 12:37:45 UTC
iproute-3.2.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/iproute-3.2.0-3.fc17

Comment 9 Fedora Update System 2012-03-02 00:59:01 UTC
Package iproute-3.2.0-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing iproute-3.2.0-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2818/iproute-3.2.0-3.fc17
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-03-21 19:02:00 UTC
iproute-3.2.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-03-24 00:24:03 UTC
iproute-2.6.38.1-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-03-24 00:34:46 UTC
iproute-2.6.39-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.